Bug 1921666 - use return instead of continue to avoid shellcheck error on test
Summary: use return instead of continue to avoid shellcheck error on test
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: texinfo
Version: 8.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Vitezslav Crhonek
QA Contact: CS System Management SST QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 12:01 UTC by yeah_wang
Modified: 2021-02-18 07:29 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-17 08:48:34 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description yeah_wang 2021-01-28 12:01:10 UTC
Description of problem:

The tp/tests/run_parser_all.sh file contains errors and needs to be modified after verification.

Version-Release number of selected component (if applicable):
 texinfo-6.5

How reproducible:
NA

Steps to Reproduce:

diff --git a/tp/tests/run_parser_all.sh b/tp/tests/run_parser_all.sh
index e475da5..e6242b3 100755
--- a/tp/tests/run_parser_all.sh
+++ b/tp/tests/run_parser_all.sh
@@ -46,7 +46,7 @@ check_latex2html_and_tex4ht ()
       if echo "$remaining" | grep '[-]init mediawiki.pm' >/dev/null; then
        if test "$no_html2wiki" = 'yes' ; then
          echo "S: (no html2wiki) $current"
-         continue 2
+         return 2
        fi
       fi
     fi

Actual results:
End Return Exit

Expected results:
End Return Exit

Additional info:

Comment 1 Vitezslav Crhonek 2021-01-28 13:54:17 UTC
Thank you for the bug report.

Comment 2 Vitezslav Crhonek 2021-02-17 08:48:34 UTC
I've fixed the issue in Fedora for future releases and reported upstream, where it's
going to be fixed soon too. It has no real impact on package usability and we don't
plan to fix it in RHEL 8.


Note You need to log in before you can comment on or make changes to this bug.